Package org.codehaus.groovy.runtime.callsite

# Class CallSiteArray

java.lang.Object
org.codehaus.groovy.runtime.callsite.CallSiteArray

    public final class CallSiteArray
    extends Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `CallSite[]` | `array` |
  `static Object[]` | `NOPARAM` |
  `Class` | `owner` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CallSiteArray​(Class owner, String[] names)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static Object` | `defaultCall​(CallSite callSite, Object receiver, Object[] args)` |
  `static Object` | `defaultCallConstructor​(CallSite callSite, Object receiver, Object[] args)` |
  `static Object` | `defaultCallCurrent​(CallSite callSite, GroovyObject receiver, Object[] args)` |
  `static Object` | `defaultCallStatic​(CallSite callSite, Class receiver, Object[] args)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NOPARAM

    public static final Object[] NOPARAM

  - ### array

    public final CallSite[] array

  - ### owner

    public final Class owner

- ## Constructor Details

  - ### CallSiteArray

    public CallSiteArray​(Class owner, String[] names)

- ## Method Details

  - ### defaultCall

    public static Object defaultCall​(CallSite callSite, Object receiver, Object[] args) throws Throwable
    Throws:
      `Throwable`

  - ### defaultCallCurrent

    public static Object defaultCallCurrent​(CallSite callSite, GroovyObject receiver, Object[] args) throws Throwable
    Throws:
      `Throwable`

  - ### defaultCallStatic

    public static Object defaultCallStatic​(CallSite callSite, Class receiver, Object[] args) throws Throwable
    Throws:
      `Throwable`

  - ### defaultCallConstructor

    public static Object defaultCallConstructor​(CallSite callSite, Object receiver, Object[] args) throws Throwable
    Throws:
      `Throwable`